/* -*- mode: C++ ; c-file-style: "stroustrup" -*- *****************************
 * Qwt Widget Library
 * Copyright (C) 1997   Josef Wilgen
 * Copyright (C) 2002   Uwe Rathmann
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the Qwt License, Version 1.0
 *****************************************************************************/

/*! \file */
#ifndef QWT_DOUBLE_RECT_H
#define QWT_DOUBLE_RECT_H 1

#include "qwt_global.h"
#include "qwt_array.h"

#include <QPointF>
#include <QSizeF>
#include <QRectF>

/*! 
  \typedef QPointF QwtDoublePoint
  \brief This is a typedef, see Trolltech Documentation for QPointF
         in QT assistant 4.x. As soon as Qt3 compatibility is dropped
         this typedef will disappear.
*/
typedef QPointF QwtDoublePoint;

/*! 
   \typedef QSizeF QwtDoubleSize
   \brief This is a typedef, see Trolltech Documentation for QSizeF
          in QT assistant 4.x. As soon as Qt3 compatibility is dropped
         this typedef will disappear.
*/
typedef QSizeF QwtDoubleSize;

/*! 
   \typedef QRectF QwtDoubleRect
   \brief This is a typedef, see Trolltech Documentation for QRectF
          in QT assistant 4.x. As soon as Qt3 compatibility is dropped
         this typedef will disappear.
*/
typedef QRectF QwtDoubleRect;

#endif // QWT_DOUBLE_RECT_H
